// Настройк в Makefile:
// OPENCM3_DIR := /home/stm32/libopencm3/
// # Our output name
// BINARY = main
// # Linker script for our MCU
// LDSCRIPT = stm32f030k6t6.ld
// ======================================
// # make clean && make && make bin
// # st-flash --reset write main.bin 0x08000000 
#include <stdint.h>
#include "tm1637.h"
#include <libopencm3/stm32/rcc.h>
#include <libopencm3/stm32/gpio.h>

uint16_t counter = 0;

int main(void) {
    rcc_periph_clock_enable(RCC_GPIOA);
    gpio_mode_setup(GPIOA, GPIO_MODE_OUTPUT, GPIO_PUPD_NONE, GPIO12);
    tm1637Init();
    while (1) {
        tm1637DisplayDecimal(counter, 1);
        counter++;
        gpio_toggle(GPIOA, GPIO12);
        _tm1637DelayUsec(9999);
        if (counter > 9999) counter = 0;
        
    }
    return 0;
}//
// The END
